### Class method

# Gtk WidgetClassset_layout_manager_type

#### Declaration [src]

    void
    gtk_widget_class_set_layout_manager_type (
      GtkWidgetClass* widget_class,
      GType type
    )

#### Description [src]

Sets the type to be used for creating layout managers for widgets of `widget_class`.

The given `type` must be a subtype of `GtkLayoutManager`.

This function should only be called from class init functions of widgets.

#### Parameters

`type`

  Type: `GType`

  The object type that implements the `GtkLayoutManager` for `widget_class`.